<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <include
        android:id="@+id/settings_topbar"
        layout="@layout/topbar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="top"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/backgrounds_menu_grasslands"
        android:orientation="vertical"
        android:paddingBottom="20dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="horizontal">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginBottom="10dp"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/settings_music_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="5dp"
                            android:layout_marginRight="5dp"
                            android:text="@string/settings_music"
                            android:textSize="20sp"/>

                        <ToggleButton
                            android:id="@+id/settings_musictoggle"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/xml_selector_music"
                            android:textOff=""
                            android:textOn=""/>
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_horizontal"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/settings_sounds_label"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginEnd="5dp"
                            android:layout_marginRight="5dp"
                            android:text="@string/settings_sounds"
                            android:textSize="20sp"/>

                        <ToggleButton
                            android:id="@+id/settings_soundtoggle"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_gravity="center_vertical"
                            android:background="@drawable/xml_selector_sound"
                            android:textOff=""
                            android:textOn=""/>
                    </LinearLayout>
                </LinearLayout>

            </RelativeLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:orientation="vertical">

                    <CheckBox
                        android:id="@+id/settings_fps_checkbox"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="10dp"
                        android:text="@string/settings_show_fps"
                        android:textSize="20sp"/>

                </LinearLayout>

            </RelativeLayout>

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/settings_credits"
                style="@style/SettingsScreenButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="@string/settings_credits"/>
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1">

            <Button
                android:id="@+id/settings_reset"
                style="@style/SettingsScreenButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="@string/settings_reset"/>
        </RelativeLayout>
    </LinearLayout>

</LinearLayout>